Loading...
Searching...
No Matches
Logger::LoggerFilterLevel Class Reference

Implements the filter according event LoggerLevel. More...

## Public Member Functions

| constructor (int min_value, int max_value=Qore::Logger::LoggerLevel::OFF)
| Creates the object.
| constructor (Qore::Logger::LoggerLevel min_value=Qore::Logger::LoggerLevel::LevelInfo, Qore::Logger::LoggerLevel max_value=Qore::Logger::LoggerLevel::LevelOff)
| Creates the object.
| constructor (string min_value, string max_value='OFF')
| Creates the object.
int | eval (LoggerEvent event)
| Implements filtering by level.
Qore::Logger::LoggerLevel | getMaxLevel ()
| Returns the maximum logging level.
LoggerLevel | getMinLevel ()
| Returns the minimum logging level.
| setMaxLevel (int value)
| Sets the maximum logging level.
| setMaxLevel (LoggerLevel value)
| Sets the maximum logging level.
| setMaxLevel (string value)
| Sets the maximum logging level.
| setMinLevel (int value)
| Sets the minimum logging level.
| setMinLevel (LoggerLevel value)
| Sets the minimum logging level.
| setMinLevel (string value)
| Sets the minimum logging level.

## Private Attributes

Qore::Logger::LoggerLevel | maxLevel
| max.level
Qore::Logger::LoggerLevel | minLevel
| min.level

## Detailed Description

Implements the filter according event LoggerLevel.

When Qore::Logger::LoggerEvent::getLevel does not satisfy the filter condition, then logging is rejected.

The min and max levels define the range to be logged (if min <= max.level) or range which won't be logged (if max < min.level)

## Member Function Documentation

## constructor() [1/3]

Logger::LoggerFilterLevel::constructor | ( | int | min_value,
|  | int | max_value = Qore::Logger::LoggerLevel::OFF )

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## constructor() [2/3]

Logger::LoggerFilterLevel::constructor | ( | Qore::Logger::LoggerLevel | min_value = Qore::Logger::LoggerLevel::LevelInfo,
|  | Qore::Logger::LoggerLevel | max_value = Qore::Logger::LoggerLevel::LevelOff )

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## constructor() [3/3]

Logger::LoggerFilterLevel::constructor | ( | string | min_value,
|  | string | max_value = 'OFF' )

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## setMaxLevel() [1/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | int | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## setMaxLevel() [2/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | LoggerLevel | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## setMaxLevel() [3/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | string | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## setMinLevel() [1/3]

Logger::LoggerFilterLevel::setMinLevel | ( | int | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level

## setMinLevel() [2/3]

Logger::LoggerFilterLevel::setMinLevel | ( | LoggerLevel | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level

## setMinLevel() [3/3]

Logger::LoggerFilterLevel::setMinLevel | ( | string | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level